You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     t...@tobik.me
Last committer: c...@freebsd.org
Ident:          $FreeBSD: head/devel/stack/Makefile 422282 2016-09-16 22:56:48Z 
cpm $
Log URL:        
http://beefy6.nyi.freebsd.org/data/101amd64-default/422472/logs/stack-1.2.0.log
Build URL:      
http://beefy6.nyi.freebsd.org/build.html?mastername=101amd64-default&build=422472
Log:

====>> Building devel/stack
build started at Tue Sep 20 17:03:02 UTC 2016
port directory: /usr/ports/devel/stack
building for: FreeBSD 101amd64-default-job-07 10.1-RELEASE-p37 FreeBSD 
10.1-RELEASE-p37 amd64
maintained by: t...@tobik.me
Makefile ident:      $FreeBSD: head/devel/stack/Makefile 422282 2016-09-16 
22:56:48Z cpm $
Poudriere version: 3.1.14
Host OSVERSION: 1200005
Jail OSVERSION: 1001000

---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 10.1-RELEASE-p37
UNAME_r=10.1-RELEASE-p37
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/101amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=stack-1.2.0
OSREL=10.1
_OSRELEASE=10.1-RELEASE-p37
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/101amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES OPSYS=FreeBSD
MASTERNAME=101amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1001000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/stack/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/stack/work  
HOME=/wrkdirs/usr/ports/devel/stack/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TARGET="/wrkdirs/usr/ports/devel/stack/work/stack-dependencies-1.2.0"  
PREFIX="/usr/local"  STAGEDIR="/wrkdirs/usr/ports/devel/stack/work/stage" 
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/stack/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/stack/work  
HOME=/wrkdirs/usr/ports/devel/stack/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.3
PERL_VER=5.20
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/stack"
EXAMPLESDIR="share/examples/stack"
DATADIR="share/stack"
WWWDIR="www/stack"
ETCDIR="etc/stack"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/stack
DOCSDIR=/usr/local/share/doc/stack
EXAMPLESDIR=/usr/local/share/examples/stack
WWWDIR=/usr/local/www/stack
ETCDIR=/usr/local/etc/stack
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   stack-1.2.0 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.8.7_3.txz
[101amd64-default-job-07] Installing pkg-1.8.7_3...
[101amd64-default-job-07] Extracting pkg-1.8.7_3: .......... done
===>   stack-1.2.0 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of stack-1.2.0
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by stack-1.2.0 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by stack-1.2.0 for building
=> SHA256 Checksum OK for stack-dependencies-1.2.0.tar.gz.
=> SHA256 Checksum OK for applicative-tech-stack-dependencies-1.2.0_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by stack-1.2.0 for building
===>  Extracting for stack-1.2.0
=> SHA256 Checksum OK for stack-dependencies-1.2.0.tar.gz.
=> SHA256 Checksum OK for applicative-tech-stack-dependencies-1.2.0_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for stack-1.2.0
===========================================================================
=======================<phase: build-depends  >============================
===>   stack-1.2.0 depends on package: ghc>0 - not found
===>   Installing existing package /packages/All/ghc-7.10.2.txz
[101amd64-default-job-07] Installing ghc-7.10.2...
[101amd64-default-job-07] `-- Installing libiconv-1.14_9...
[101amd64-default-job-07] `-- Extracting libiconv-1.14_9: .......... done
[101amd64-default-job-07] `-- Installing gmp-5.1.3_3...
[101amd64-default-job-07] |   `-- Installing indexinfo-0.2.5...
[101amd64-default-job-07] |   `-- Extracting indexinfo-0.2.5: .... done
[101amd64-default-job-07] `-- Extracting gmp-5.1.3_3: .......... done
[101amd64-default-job-07] `-- Installing libffi-3.2.1...
[101amd64-default-job-07] `-- Extracting libffi-3.2.1: .......... done
[101amd64-default-job-07] `-- Installing gcc-4.8.5_2...
[101amd64-default-job-07] |   `-- Installing mpc-1.0.3...
[101amd64-default-job-07] |   | `-- Installing mpfr-3.1.4...
[101amd64-default-job-07] |   | `-- Extracting mpfr-3.1.4: .......... done
[101amd64-default-job-07] |   `-- Extracting mpc-1.0.3: ...... done
[101amd64-default-job-07] |   `-- Installing binutils-2.27_3,1...
[101amd64-default-job-07] |   | `-- Installing gettext-runtime-0.19.8.1...
[101amd64-default-job-07] |   | `-- Extracting gettext-runtime-0.19.8.1: 
.......... done
[101amd64-default-job-07] |   `-- Extracting binutils-2.27_3,1: .......... done
[101amd64-default-job-07] |   `-- Installing gcc-ecj-4.5...
[101amd64-default-job-07] |   `-- Extracting gcc-ecj-4.5: . done
[101amd64-default-job-07] `-- Extracting gcc-4.8.5_2: .......... done
[101amd64-default-job-07] Extracting ghc-7.10.2: .......... done
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   stack-1.2.0 depends on package: ghc>0 - found
===>   Returning to build of stack-1.2.0
===>   stack-1.2.0 depends on executable: cabal - not found
===>   Installing existing package /packages/All/hs-cabal-install-1.22.6.0.txz
[101amd64-default-job-07] Installing hs-cabal-install-1.22.6.0...
[101amd64-default-job-07] `-- Installing hs-stm-2.4.4...
[101amd64-default-job-07] `-- Extracting hs-stm-2.4.4: .......... done
[101amd64-default-job-07] `-- Installing hs-mtl-2.2.1...
[101amd64-default-job-07] `-- Extracting hs-mtl-2.2.1: .......... done
[101amd64-default-job-07] `-- Installing hs-random-1.1...
[101amd64-default-job-07] `-- Extracting hs-random-1.1: .......... done
[101amd64-default-job-07] `-- Installing hs-HTTP-4000.2.20...
[101amd64-default-job-07] |   `-- Installing hs-parsec-3.1.9...
[101amd64-default-job-07] |   | `-- Installing hs-text-1.2.1.3...
[101amd64-default-job-07] |   | `-- Extracting hs-text-1.2.1.3: .......... done
[101amd64-default-job-07] |   `-- Extracting hs-parsec-3.1.9: .......... done
[101amd64-default-job-07] |   `-- Installing hs-old-time-1.1.0.3...
[101amd64-default-job-07] |   | `-- Installing hs-old-locale-1.0.0.7...
[101amd64-default-job-07] |   | `-- Extracting hs-old-locale-1.0.0.7: 
.......... done
[101amd64-default-job-07] |   `-- Extracting hs-old-time-1.1.0.3: .......... 
done
[101amd64-default-job-07] |   `-- Installing hs-network-uri-2.6.0.3...
<snip>
Installed lifted-base-0.2.3.8
Configuring enclosed-exceptions-1.0.2...
Configuring lifted-async-0.9.0...
Configuring resourcet-1.1.7.5...
Installed distributive-0.5.0.2
Building semigroups-0.18.2...
Building enclosed-exceptions-1.0.2...
Building lifted-async-0.9.0...
Installed hastache-0.6.1
Building resourcet-1.1.7.5...
Installed asn1-encoding-0.9.4
Configuring asn1-parse-0.9.4...
Installed enclosed-exceptions-1.0.2
Building asn1-parse-0.9.4...
Installed lifted-async-0.9.0
Installed asn1-parse-0.9.4
Installed resourcet-1.1.7.5
Configuring conduit-1.2.7...
Building conduit-1.2.7...
Installed socks-0.5.5
Installed semigroups-0.18.2
Configuring Glob-0.7.11...
Configuring QuickCheck-2.9.2...
Configuring case-insensitive-1.2.0.7...
Configuring optparse-applicative-0.13.0.0...
Configuring void-0.7.1...
Building QuickCheck-2.9.2...
Building case-insensitive-1.2.0.7...
Building Glob-0.7.11...
Building optparse-applicative-0.13.0.0...
Building void-0.7.1...
Installed void-0.7.1
Configuring contravariant-1.4...
Installed blaze-html-0.8.1.2
Building contravariant-1.4...
Installed case-insensitive-1.2.0.7
Configuring http-types-0.9.1...
Installed conduit-1.2.7
Building http-types-0.9.1...
Installed Glob-0.7.11
Installed contravariant-1.4
Configuring comonad-5...
Installed http-types-0.9.1
Configuring http-client-0.5.3.2...
Installed optparse-applicative-0.13.0.0
Building http-client-0.5.3.2...
Building comonad-5...
Installed comonad-5
Configuring bifunctors-5.4.1...
Building bifunctors-5.4.1...
Installed QuickCheck-2.9.2
Configuring quickcheck-io-0.1.3...
Building quickcheck-io-0.1.3...
Installed quickcheck-io-0.1.3
Configuring hspec-core-2.2.3...
Building hspec-core-2.2.3...
Installed http-client-0.5.3.2
Installed bifunctors-5.4.1
Configuring profunctors-5.2...
Configuring semigroupoids-5.1...
Installed hspec-core-2.2.3
Configuring hspec-2.2.3...
Configuring hspec-smallcheck-0.4.1...
Building profunctors-5.2...
Building hspec-smallcheck-0.4.1...
Building hspec-2.2.3...
Installed hspec-smallcheck-0.4.1
Installed hspec-2.2.3
Building semigroupoids-5.1...
Installed cryptonite-0.20
Configuring cryptohash-0.11.9...
Configuring x509-1.6.4...
Building cryptohash-0.11.9...
Building x509-1.6.4...
Installed profunctors-5.2
Installed semigroupoids-5.1
Configuring free-4.12.4...
Building free-4.12.4...
Installed cryptohash-0.11.9
Installed SHA-1.6.4.2
Installed x509-1.6.4
Configuring x509-store-1.6.1...
Building x509-store-1.6.1...
Installed x509-store-1.6.1
Configuring x509-system-1.6.3...
Configuring x509-validation-1.6.4...
Building x509-system-1.6.3...
Building x509-validation-1.6.4...
Installed x509-system-1.6.3
Installed vector-0.11.0.0
Configuring mwc-random-0.13.4.0...
Configuring resource-pool-0.2.3.2...
Configuring scientific-0.3.4.9...
Configuring th-lift-instances-0.1.10...
Configuring vector-binary-instances-0.2.3.2...
Installed x509-validation-1.6.4
Configuring tls-1.3.8...
Building scientific-0.3.4.9...
Building mwc-random-0.13.4.0...
Building vector-binary-instances-0.2.3.2...
Building resource-pool-0.2.3.2...
Building th-lift-instances-0.1.10...
Building tls-1.3.8...
Installed th-lift-instances-0.1.10
Installed free-4.12.4
Configuring either-4.4.1.1...
Installed vector-binary-instances-0.2.3.2
Installed resource-pool-0.2.3.2
Building either-4.4.1.1...
Installed scientific-0.3.4.9
Configuring attoparsec-0.13.1.0...
Installed either-4.4.1.1
Configuring optparse-simple-0.0.3...
Building attoparsec-0.13.1.0...
Building optparse-simple-0.0.3...
Installed optparse-simple-0.0.3
Installed tls-1.3.8
Configuring connection-0.2.6...
Building connection-0.2.6...
Installed connection-0.2.6
Configuring http-client-tls-0.3.2...
Building http-client-tls-0.3.2...
Installed mwc-random-0.13.4.0
Configuring vector-algorithms-0.7.0.1...
Building vector-algorithms-0.7.0.1...
Installed http-client-tls-0.3.2
Installed attoparsec-0.13.1.0
Configuring aeson-0.11.2.1...
Configuring conduit-extra-1.1.13.2...
Configuring hit-0.6.3...
Configuring uri-bytestring-0.2.2.0...
Building aeson-0.11.2.1...
Building hit-0.6.3...
Building uri-bytestring-0.2.2.0...
Building conduit-extra-1.1.13.2...
Installed uri-bytestring-0.2.2.0
Configuring http-api-data-0.3...
Installed conduit-extra-1.1.13.2
Configuring cryptohash-conduit-0.1.1...
Configuring monad-logger-0.3.19...
Configuring project-template-0.2.0...
Building monad-logger-0.3.19...
Building cryptohash-conduit-0.1.1...
Building project-template-0.2.0...
Building http-api-data-0.3...
Installed cryptohash-conduit-0.1.1
Installed project-template-0.2.0
Installed monad-logger-0.3.19
Installed hit-0.6.3
Installed http-api-data-0.3
Installed vector-algorithms-0.7.0.1
Configuring mono-traversable-1.0.1...
Building mono-traversable-1.0.1...
Installed aeson-0.11.2.1
Configuring aeson-compat-0.3.6...
Configuring binary-tagged-0.1.4.0...
Configuring http-conduit-2.2.2...
Configuring path-0.5.9...
Configuring persistent-2.6...
Configuring yaml-0.8.18.6...
Building path-0.5.9...
Building binary-tagged-0.1.4.0...
Building yaml-0.8.18.6...
Building persistent-2.6...
Building aeson-compat-0.3.6...
Building http-conduit-2.2.2...
Installed path-0.5.9
Configuring path-io-1.2.0...
Installed aeson-compat-0.3.6
Installed http-conduit-2.2.2
Building path-io-1.2.0...
Installed binary-tagged-0.1.4.0
Installed path-io-1.2.0
Installed mono-traversable-1.0.1
Installed yaml-0.8.18.6
Configuring hpack-0.15.0...
Building hpack-0.15.0...
Installed persistent-2.6
Configuring persistent-template-2.5.1.6...
Configuring persistent-sqlite-2.6...
Building persistent-template-2.5.1.6...
Building persistent-sqlite-2.6...
Installed hpack-0.15.0
Installed persistent-template-2.5.1.6
Installed persistent-sqlite-2.6
cabal: Error: some packages failed to install:
errors-2.1.2 depends on safe-0.3.9 which failed to install.
safe-0.3.9 failed during the final install step. The exception was:
ExitFailure (-10)
stack-1.2.0 depends on safe-0.3.9 which failed to install.
store-0.2.1.2 depends on safe-0.3.9 which failed to install.
th-orphans-0.13.2 depends on safe-0.3.9 which failed to install.
th-reify-many-0.1.6 depends on safe-0.3.9 which failed to install.
th-utilities-0.2.0.1 depends on safe-0.3.9 which failed to install.
gmake[1]: *** [Makefile:25: stack] Error 1
gmake[1]: Leaving directory 
'/wrkdirs/usr/ports/devel/stack/work/stack-dependencies-1.2.0'
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/stack
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to